# -*- tcl -*- Tcl package index file
# --- --- --- Handcrafted, final generation by configure.
#
# $Id: pkgIndex.tcl.in 209 2009-03-03 17:19:05Z nijtmans $

# Compatibility hack. When asking for the old name of the package
# then load all format handlers and base libraries provided by tkImg.
# Actually we ask only for the format handlers, the required base
# packages will be loaded automatically through the usual package
# mechanism.

# When reading images without specifying it's format (option -format),
# the available formats are tried in reversed order as listed here.
# Therefore file formats with some "magic" identifier, which can be
# recognized safely, should be added at the end of this list.

package ifneeded Img 1.4 {
    package require img::base
    package require img::window
    package require img::tga
    package require img::ico
    package require img::pcx
    package require img::sgi
    package require img::sun
    package require img::xbm
    package require img::xpm
    package require img::ps
    package require img::jpeg
    package require img::png
    package require img::tiff
    package require img::bmp
    package require img::ppm
    package require img::gif
    package require img::pixmap
    package require zlibtcl
    package require pngtcl
    package require tifftcl
    package require jpegtcl
    package provide Img 1.4
}

# @@ Meta Begin
# Package img::base 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::author      {Jan Nijtmans}
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk photo image
# Meta description     Base package containing common utilities used across
# Meta description     all Img format packages
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         Tk Image support
# Meta summary         Img common utilities
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::base 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimg142.dll] Tkimg

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::base 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::bmp 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the bmp image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         bmp
# Meta summary         bmp Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::bmp 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgbmp142.dll] Tkimgbmp

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::bmp 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::gif 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the gif image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         gif
# Meta summary         gif Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::gif 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimggif142.dll] Tkimggif

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::gif 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::ico 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the ico image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         ico
# Meta summary         ico Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::ico 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgico142.dll] Tkimgico

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::ico 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::jpeg 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the jpeg image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta require         jpegtcl
# Meta subject         jpeg
# Meta summary         jpeg Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::jpeg 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4
        package require jpegtcl

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgjpeg142.dll] Tkimgjpeg

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::jpeg 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::pcx 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the pcx image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         pcx
# Meta summary         pcx Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::pcx 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgpcx142.dll] Tkimgpcx

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::pcx 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::pixmap 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the pixmap image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         pixmap
# Meta summary         pixmap Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::pixmap 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgpixmap142.dll] Tkimgpixmap

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::pixmap 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::png 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the png image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta require         pngtcl
# Meta subject         png
# Meta summary         png Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::png 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4
        package require pngtcl

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgpng142.dll] Tkimgpng

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::png 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::ppm 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the ppm image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         ppm
# Meta summary         ppm Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::ppm 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgppm142.dll] Tkimgppm

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::ppm 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::ps 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the ps & pdf image formats.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         ps pdf
# Meta summary         ps & pdf Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::ps 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgps142.dll] Tkimgps

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::ps 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::sgi 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the sgi image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         sgi
# Meta summary         sgi Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::sgi 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgsgi142.dll] Tkimgsgi

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::sgi 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::sun 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the sun image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         sun
# Meta summary         sun Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::sun 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgsun142.dll] Tkimgsun

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::sun 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::tga 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the tga image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         tga
# Meta summary         tga Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::tga 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgtga142.dll] Tkimgtga

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::tga 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::tiff 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the tiff image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta require         tifftcl
# Meta require         zlibtcl
# Meta require         jpegtcl
# Meta subject         tiff
# Meta summary         tiff Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::tiff 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4
        package require tifftcl
        package require zlibtcl
        package require jpegtcl

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgtiff142.dll] Tkimgtiff

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::tiff 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::window 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the window image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         window
# Meta summary         window Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::window 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgwindow142.dll] Tkimgwindow

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::window 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::xbm 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the xbm image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         xbm
# Meta summary         xbm Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::xbm 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgxbm142.dll] Tkimgxbm

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::xbm 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package img::xpm 1.4.2
# Meta activestatetags ActiveTcl Public Img
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta category        Tk Image Format
# Meta description     This is support for the xpm image format.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {img::base 1.4-2}
# Meta require         {Tcl 8.4}
# Meta require         {Tk 8.4}
# Meta subject         xpm
# Meta summary         xpm Image Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded img::xpm 1.4.2 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require img::base 1.4-2
        package require Tcl 8.4
        package require Tk 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tkimgxpm142.dll] Tkimgxpm

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide img::xpm 1.4.2

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package jpegtcl 8.4
# Meta activestatetags ActiveTcl Public
# Meta as::author      {Jan Nijtmans}
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta description     A variant of the libjpeg system library made
# Meta description     suitable for direct loading as a Tcl package.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {Tcl 8.4}
# Meta summary         jpeg Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded jpegtcl 8.4 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require Tcl 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} jpegtcl84.dll] Jpegtcl

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide jpegtcl 8.4

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package pngtcl 1.4.12
# Meta activestatetags ActiveTcl Public
# Meta as::author      {Jan Nijtmans}
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta description     A variant of the libpng system library made suitable
# Meta description     for direct loading as a Tcl package.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {Tcl 8.4}
# Meta require         zlibtcl
# Meta summary         png Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded pngtcl 1.4.12 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require Tcl 8.4
        package require zlibtcl

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} pngtcl1412.dll] Pngtcl

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide pngtcl 1.4.12

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package tifftcl 3.9.4
# Meta activestatetags ActiveTcl Public
# Meta as::author      {Jan Nijtmans}
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta description     A variant of the libtiff system library made
# Meta description     suitable for direct loading as a Tcl package.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {Tcl 8.4}
# Meta summary         tiff Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded tifftcl 3.9.4 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require Tcl 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} tifftcl394.dll] Tifftcl

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide tifftcl 3.9.4

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]

# @@ Meta Begin
# Package zlibtcl 1.2.8
# Meta activestatetags ActiveTcl Public
# Meta as::author      {Jan Nijtmans}
# Meta as::build::date 2014-07-21
# Meta as::origin      http://sourceforge.net/projects/tkimg
# Meta description     A variant of the libz system library made suitable
# Meta description     for direct loading as a Tcl package.
# Meta license         BSD
# Meta platform        win32-ix86
# Meta require         {Tcl 8.4}
# Meta summary         zlib Support
# @@ Meta End


if {![package vsatisfies [package provide Tcl] 8.4]} return

package ifneeded zlibtcl 1.2.8 [string map [list @ $dir] {
        # ACTIVESTATE TEAPOT-PKG BEGIN REQUIREMENTS

        package require Tcl 8.4

        # ACTIVESTATE TEAPOT-PKG END REQUIREMENTS

            load [file join {@} zlibtcl128.dll] Zlibtcl

        # ACTIVESTATE TEAPOT-PKG BEGIN DECLARE

        package provide zlibtcl 1.2.8

        # ACTIVESTATE TEAPOT-PKG END DECLARE
    }]
